curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"adult": false,
"backdrop_path": "/eCynaAOgYYiw5yN5lBwz3IxqvaW.jpg",
"belongs_to_collection": {
"backdrop_path": "/bcWmv9xsKv6xXmdz5OP2wefHcdx.jpg",
"id": 137697,
"name": "Finding Nemo Collection",
"poster_path": "/xwggrEugjcJDuabIWvK2CpmK91z.jpg"
},
"budget": 94000000,
"genres": [
{
"id": 16,
"name": "Animation"
},
{
"id": 10751,
"name": "Family"
}
],
"homepage": "http://movies.disney.com/finding-nemo",
"id": 12,
"imdb_id": "tt0266543",
"origin_country": [
"US"
],
"original_language": "en",
"original_title": "Finding Nemo",
"overview": "Nemo, an adventurous young clownfish, is unexpectedly taken from his Great Barrier Reef home to a dentist's office aquarium. It's up to his worrisome father Marlin and a friendly but forgetful fish Dory to bring Nemo home -- meeting vegetarian sharks, surfer dude turtles, hypnotic jellyfish, hungry seagulls, and more along the way.",
"popularity": 115.556,
"poster_path": "/eHuGQ10FUzK1mdOY69wF5pGgEf5.jpg",
"production_companies": [
{
"id": 3,
"logo_path": "/1TjvGVDMYsj6JBxOAkUHpPEwLf7.png",
"name": "Pixar",
"origin_country": "US"
}
],
"production_countries": [
{
"iso_3166_1": "US",
"name": "United States of America"
}
],
"release_date": "2003-05-30",
"revenue": 940335536,
"runtime": 100,
"spoken_languages": [
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
],
"status": "Released",
"tagline": "There are 3.7 trillion fish in the ocean. They're looking for one.",
"title": "Finding Nemo",
"video": false,
"vote_average": 7.819,
"vote_count": 19304
}Details
This endpoint get the top level details of a movie by ID.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
12
Query Parameters
comma separated list of endpoints within this namespace, 20 items max
Response
Details
false
"/eCynaAOgYYiw5yN5lBwz3IxqvaW.jpg"
Show child attributes
Show child attributes
94000000
Show child attributes
Show child attributes
[
{ "id": 16, "name": "Animation" },
{ "id": 10751, "name": "Family" }
]
"http://movies.disney.com/finding-nemo"
12
"tt0266543"
["US"]
"en"
"Finding Nemo"
"Nemo, an adventurous young clownfish, is unexpectedly taken from his Great Barrier Reef home to a dentist's office aquarium. It's up to his worrisome father Marlin and a friendly but forgetful fish Dory to bring Nemo home -- meeting vegetarian sharks, surfer dude turtles, hypnotic jellyfish, hungry seagulls, and more along the way."
115.556
"/eHuGQ10FUzK1mdOY69wF5pGgEf5.jpg"
Show child attributes
Show child attributes
[
{
"id": 3,
"logo_path": "/1TjvGVDMYsj6JBxOAkUHpPEwLf7.png",
"name": "Pixar",
"origin_country": "US"
}
]
Show child attributes
Show child attributes
[
{
"iso_3166_1": "US",
"name": "United States of America"
}
]
"2003-05-30"
940335536
100
Show child attributes
Show child attributes
[
{
"english_name": "English",
"iso_639_1": "en",
"name": "English"
}
]
"Released"
"There are 3.7 trillion fish in the ocean. They're looking for one."
"Finding Nemo"
false
7.819
19304